﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{231C3D8D-D59C-4D41-94F9-5B1B6654BA04}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>DynamicBitmapHandler</RootNamespace>
    <AssemblyName>DynamicBitmapHandler</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="UCBitmap256Truecolor, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="FormMain.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormMain.Designer.cs">
      <DependentUpon>FormMain.cs</DependentUpon>
    </Compile>
    <Compile Include="FormMainBasic.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="FormMain.resx">
      <DependentUpon>FormMain.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Basic\Initdata\Initdata.csproj">
      <Project>{3E4EF806-BD52-4B04-8AEE-9EDC9B1304AB}</Project>
      <Name>Initdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\Basic\Programdata\Programdata.csproj">
      <Project>{B8510D21-1897-4687-AEE8-4CE176C63F87}</Project>
      <Name>Programdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\ExcelFile\ExcelFile.csproj">
      <Project>{39F17095-668A-4C5D-9E23-1E105C037F3F}</Project>
      <Name>ExcelFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\TaggedBinaryFile\TaggedBinaryFile.csproj">
      <Project>{B1A2EBCA-B11C-4F51-BE67-9FF5FF8FEE66}</Project>
      <Name>TaggedBinaryFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\TextFile\TextFile.csproj">
      <Project>{ED877FF6-BED0-4D46-A533-A2CA747FB86C}</Project>
      <Name>TextFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\ImageProcessing\IPBitmap\IPBitmap.csproj">
      <Project>{C5002E68-6BA5-4818-BF29-E18D5E4BC87B}</Project>
      <Name>IPBitmap</Name>
    </ProjectReference>
    <ProjectReference Include="..\ImageProcessing\IPPalette\IPPalette.csproj">
      <Project>{86A1BD25-1660-41F8-B56D-118C9D701185}</Project>
      <Name>IPPalette</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCNotifier\UCNotifier.csproj">
      <Project>{2C1BC3B8-2DBE-4957-9798-533CE49D4330}</Project>
      <Name>UCNotifier</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCSerialNumber\UCSerialNumber.csproj">
      <Project>{4E5C356C-90B5-4336-A053-DF9BB8EF138C}</Project>
      <Name>UCSerialNumber</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCTextEditor\UCTextEditor.csproj">
      <Project>{5418741E-45FB-4C00-A692-25B5A2C35777}</Project>
      <Name>UCTextEditor</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCImageProcessing\UCBitmap1KPalette\UCBitmap1KPalette.csproj">
      <Project>{5F370A97-AD6B-47D3-8762-07365E39DAA1}</Project>
      <Name>UCBitmap1KPalette</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCImageProcessing\UCBitmap1KTruecolor\UCBitmap1KTruecolor.csproj">
      <Project>{E605EAA3-450A-4373-8ABB-93FB859D2774}</Project>
      <Name>UCBitmap1KTruecolor</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCImageProcessing\UCBitmap256Palette\UCBitmap256Palette.csproj">
      <Project>{C00999C4-0412-4B36-A045-322B82213551}</Project>
      <Name>UCBitmap256Palette</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>